Package org.pgpainless.encryption_signing

# Class SigningOptions.SigningMethod

java.lang.Object
org.pgpainless.encryption_signing.SigningOptions.SigningMethod

Enclosing class:
  `SigningOptions`

public static final class SigningOptions.SigningMethod extends Object
A method of signing.

## Method Summary

Modifier and Type
Method
Description
`static SigningOptions.SigningMethod`
`detachedSignature(org.bouncycastle.openpgp.PGPSignatureGenerator signatureGenerator, HashAlgorithm hashAlgorithm)`
Detached signing method.
`HashAlgorithm`
`getHashAlgorithm()`
`org.bouncycastle.openpgp.PGPSignatureGenerator`
`getSignatureGenerator()`
`static SigningOptions.SigningMethod`
`inlineSignature(org.bouncycastle.openpgp.PGPSignatureGenerator signatureGenerator, HashAlgorithm hashAlgorithm)`
Inline-signature method.
`boolean`
`isDetached()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### inlineSignature

public static SigningOptions.SigningMethod inlineSignature(@Nonnull org.bouncycastle.openpgp.PGPSignatureGenerator signatureGenerator, @Nonnull HashAlgorithm hashAlgorithm)
Inline-signature method. The resulting signature will be written into the message itself, together with a one-pass-signature packet.

Parameters:
  `signatureGenerator` - signature generator
  `hashAlgorithm` - hash algorithm used to generate the signature
Returns:
  inline signing method

### detachedSignature

public static SigningOptions.SigningMethod detachedSignature(@Nonnull org.bouncycastle.openpgp.PGPSignatureGenerator signatureGenerator, @Nonnull HashAlgorithm hashAlgorithm)
Detached signing method. The resulting signature will not be added to the message, and instead can be distributed separately to the signed message.

Parameters:
  `signatureGenerator` - signature generator
  `hashAlgorithm` - hash algorithm used to generate the signature
Returns:
  detached signing method

### isDetached

public boolean isDetached()

### getSignatureGenerator

public org.bouncycastle.openpgp.PGPSignatureGenerator getSignatureGenerator()

### getHashAlgorithm

public HashAlgorithm getHashAlgorithm()